#!/usr/bin/env python3

import asyncio
import websockets
from ltemock import common

async def echo(parameters, websocket):
  try:
    await websocket.send(common.ready("IMS"))
    async for message in websocket:
      pass
  except (asyncio.exceptions.IncompleteReadError, asyncio.exceptions.CancelledError, websockets.exceptions.ConnectionClosedError) as e:
    pass

def main():

  common.main("ims", echo)

if __name__ == "__main__":
  main()
